#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries

%define		atk_ver		1:2.33.3
%define		glibmm_ver	2.68.0
Summary:	A C++ interface for atk library
Summary(pl.UTF-8):	Interfejs C++ dla biblioteki atk
Name:		atkmm2.36
Version:	2.36.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/atkmm/2.36/atkmm-%{version}.tar.xz
# Source0-md5:	5756ac6337f491e0e005936693af641a
URL:		https://www.gtkmm.org/
BuildRequires:	atk-devel >= %{atk_ver}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	doxygen >= 1:1.8.9
BuildRequires:	glibmm2.68-devel >= %{glibmm_ver}
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	libtool >= 2:2.0
BuildRequires:	mm-common >= 0.9.12
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	atk >= %{atk_ver}
Requires:	glibmm2.68 >= %{glibmm_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A C++ interface for atk library.

%description -l pl.UTF-8
Interfejs C++ dla biblioteki atk.

%package devel
Summary:	Header files for atkmm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki atkmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	atk-devel >= %{atk_ver}
Requires:	glibmm2.68-devel >= %{glibmm_ver}
Requires:	libstdc++-devel >= 6:7

%description devel
Header files for atkmm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki atkmm.

%package apidocs
Summary:	atkmm API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki atkmm
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
API documentation for atkmm library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki atkmm.

%package static
Summary:	atkmm static library
Summary(pl.UTF-8):	Biblioteka statyczna atkmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static atkmm library.

%description static -l pl.UTF-8
Statyczna biblioteka atkmm.

%prep
%setup -q -n atkmm-%{version}

%build
mm-common-prepare --copy --force
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-maintainer-mode \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdocdir=%{_gtkdocdir}/atkmm-2.36 \
	devhelpdir=%{_gtkdocdir}/atkmm-2.36

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libatkmm-2.36.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libatkmm-2.36.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libatkmm-2.36.so
%{_libdir}/atkmm-2.36
%{_includedir}/atkmm-2.36
%{_pkgconfigdir}/atkmm-2.36.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/atkmm-2.36

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libatkmm-2.36.a
%endif
%changelog
* Tue Jul 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/atkmm2.36.git;a=log;h=master

* Tue Jul 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 360c33d
- updated to 2.36.2

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> c847312
- updated to 2.36.1

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 7261f39
- unconditional noarch subpackages

* Sun Dec 20 2020 Jakub Bogusz <qboosh@pld-linux.org> 442ed00
- updated to 2.36.0 as atkmm2.36 (C++17/glibmm2.68 based, parallel installable with atkmm-1.6 API series)

* Mon Dec 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 8799e84
- updated to 2.28.1

* Tue Nov 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 4d8c8b3
- updated to 2.28.0

* Wed Dec 02 2015 Jakub Bogusz <qboosh@pld-linux.org> 3469dcc
- updated to 2.24.2

* Tue Sep 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 1c3f11b
- updated to 2.24.1; C++11 now

* Sun Mar 01 2015 Jan Rękorajski <baggins@pld-linux.org> 8a0d9a6
- x32 rebuild
- release 3 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 82e6726
- noarch apidocs

* Thu Apr 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 252e700
- updated to 2.22.7

* Wed Oct 26 2011 Jakub Bogusz <qboosh@pld-linux.org> a2414eb
- updated libtool version

* Wed Oct 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 8ba4dd6
- updated to 2.22.6

* Fri Apr 01 2011 lisu <lisu@pld-linux.org> 3126f66
- updated to 2.22.5
- mm-common >= 0.9.5 required

* Mon Mar 28 2011 lisu <lisu@pld-linux.org> 81640a5
- up to 2.22.4

* Thu Mar 24 2011 Artur Frysiak <artur@frysiak.net> 35871c8
- up to 2.22.3

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> 4f717dc
- drop libtool file
- rel. 2

* Sun Jan 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 8c7624e
- updated to 2.22.2

* Mon Nov 22 2010 lisu <lisu@pld-linux.org> 40aa998
- 2.22.1

* Tue Nov 16 2010 Jakub Bogusz <qboosh@pld-linux.org> 84d50b7
- LGPL v2.1 "or later"

